"{ Package: 'stx:libbasic' }"

DomainError subclass:#ZeroDivide
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!ZeroDivide class methodsFor:'documentation'!

documentation
"
    Raised when a division by zero is attempted.
"
! !

!ZeroDivide methodsFor:'accessing'!

dividend
    "Return the number that was being divided by zero."

    ^ parameter receiver

    "
     |a b|

     a := 5.
     b := 0.
     Integer divisionByZeroSignal handle:[:ex |
        Transcript showCR:('division by zero - dividend was: ' , ex dividend printString)
     ] do:[
        a // b
     ]
    "
! !

!ZeroDivide class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/ZeroDivide.st,v 1.3 2001-11-17 11:39:16 cg Exp $'
! !
